function out = RT2(original, new)
    % function RT2(original, new)
    %
    % Returns the RT2 goodness-of-fit value comparing the time-series new
    % to time-series old. Young et al. (1980), Equation 14.
    % Young, P., Jakeman, A. and McMurtie, R. (1980). “An instrument
    % variable method for model order identification.” Automatica, 16(3),
    % 281–294. https://doi.org/10.1016/0005-1098(80)90037-0

    out = 1 - sum((original - new).^2) / sum(original.^2);